Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00585 Graphics Minor Always Jan 31, 2008, 03:07 Apr 6, 2008, 01:04
Tester robiza View Status Public Platform
Assigned To robiza Resolution Fixed OS
Status [?] Resolved Driver dooyong.cpp
Version 0.116 Fixed in Version 0.116u1 Build
Fixed in Git Commit Github Pull Request #
Summary 00585: superx: When a sprite gets a negative value the sprite disappear.
Description When a sprite gets a negative value (very left to the screen) the sprite disappear for example in second level with the great ship to the left and the player ship to the right the great ship disappear (yet in some frame appear) in this moment buffered_spriteram16[offs+6] = 0x01f0 (when the ship disappear) or 0xfff0 (when the ship appear); for the video hw is the same value (or better, same effect on the screen)

if you change in rshark_draw_sprites(mame_bitmap *bitmap):

sy = (INT16)buffered_spriteram16[offs+6];

with

sy = buffered_spriteram16[offs+6];
if ((sy & 0xff00) == 0x0100) sy = sy | 0xff00;sy = (INT16)sy;

In second level it's correct sprite over the background disappear when the ship under the background is in the same position and it's correct a sprite over the background can be under a sprite under the background (like a letter and the little ship in the second level).Sprite-sprite priorities are not related with sprite-tilemap priorities.
I have a snapshot from Stephan Lindberg.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems superx
Attached Files
jpg file icon superx0116gre.jpg (125,892 bytes) Feb 14, 2008, 14:58
Relationships
There are no relationship linked to this issue.
Notes
0
There are no notes attached to this issue.